<?php
@ini_set("display_errors","On");
@error_reporting(E_ALL & ~E_NOTICE);

//数据库顺利写入
if(!ini_get("magic_quotes_gpc")) $noslashe = 1;
//echo "["; print_r($_GET); echo "]";
if(!ini_get("register_globals") || $noslashe){
	foreach($_POST as $cc_postkey => $cc_postval){
		if(is_array($cc_postval)){
			${$cc_postkey} = array();
			foreach($cc_postval as $cc_postitem){
				if($noslashe) ${$cc_postkey}[] = addslashes($cc_postitem);
				else ${$cc_postkey}[] = $cc_postitem;
			}
		}else{
			if($noslashe) ${$cc_postkey} = addslashes($cc_postval);
			else ${$cc_postkey} = $cc_postval;
		}
	}

	foreach($_GET as $cc_getkey => $cc_getval){
		if(is_array($cc_getval)){
			${$cc_getval} = array();
			foreach($cc_getval as $cc_getitem){
				if($noslashe) ${$cc_getkey}[] = addslashes($cc_getitem);
				else ${$cc_getkey}[] = $cc_getitem;
			}
		}else{
			if($noslashe) ${$cc_getkey} = addslashes($cc_getval);
			else ${$cc_getkey} = $cc_getval;
		}
	}
}
if($step=='')$step = 'begin';
?>
<html>
<head>
<title>巅云建站系统安装程序</title>
<meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=1.0" />
<meta name="apple-mobile-web-app-capable" content="yes" /><meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<LINK href="../admin/share/style.css" type=text/css rel=stylesheet>
<style>
body{line-height:180%;}
td{line-height:180%;}
#title{font-size:20px;font-weight:bold;}
#left li{float:left;margin-right:10px;font-size:12px;font-weight:bold;}
.green{color:#009900;}
#bottom{border-top:0;text-align:center;color:#666666;padding-top:20px;}
.inputline td{border-bottom:1px solid #cccccc;padding:5px 5px 5px 5px;}
</style>
</head>
<BODY style="width:100%;text-align:Center;padding:20px 0px 0px 0px;background:#6699FF">
<div style="position:absolute;left:0;top:0;z-index:-10;width:100%;height:100%;"></div>
<div id="title" style="width:90%;height:50px;margin:0 auto;padding:10px;background:#003366;color:#fff;text-align:left;line-height:50px;">巅云建站系统测试版安装程序</div>
<div style="width:90%;margin:0 auto;padding:10px;border:1px solid #cbcbcb;margin-top:0px;border-top-width:3px;background:#f9f9f9;">


<div id="left">
<ul>
	<li class=<?=$step=='begin'?"green":""?>>1.开始</li>
	<li class=<?=$step=='syscheck'?"green":""?>>2.系统检测</li>
	<li class=<?=$step=='initdata'?"green":""?>>3.数据初始化</li>
	<li class=<?=$step=='sysset'?"green":""?>>4.系统设置</li>
</ul>
</div>
<? 
if (file_exists('../common/install.lock')){
		echo "<strong>安装程序已经被锁定。</strong><br>";
		echo "如果您确定要重新安装，请删除common目录下的 install.lock。 ";
}else{
	if(file_exists($step.'.inc.php')) require($step.'.inc.php');
}
?>
</div>

<div id="bottom">&copy; <? echo date("Y")?> Copy Right By <a href="http://".$_SERVER['SERVER_NAME'] target="_blank"><?php echo $_SERVER['SERVER_NAME']?></a>, Inc</div>
</body>
</html>
